com.sun.mirror.type

## Interface PrimitiveType

- All Superinterfaces:
    TypeMirror

  Deprecated.
  All components of this API have been superseded by the standardized annotation processing API. The replacement for the functionality of this interface is `PrimitiveType`.

      @Deprecated
      public interface PrimitiveType
      extends TypeMirror

  Represents a primitive type. These include `boolean`, `byte`, `short`, `int`, `long`, `char`, `float`, and `double`.
  Since:
    1.5

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PrimitiveType.Kind` Deprecated. All components of this API have been superseded by the standardized annotation processing API. The replacement for the functionality of this enum is `TypeKind`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PrimitiveType.Kind` | `getKind()` Deprecated. Returns the kind of primitive type that this object represents.

    - ### Methods inherited from interface com.sun.mirror.type.TypeMirror

      `accept, equals, toString`

- - ### Method Detail

    - #### getKind

          PrimitiveType.Kind getKind()

      Deprecated.
      Returns the kind of primitive type that this object represents.
      Returns:
        the kind of primitive type that this object represents

Copyright © 2004, 2019, Oracle and/or its affiliates. All rights reserved.